-- Defines the monsters

-- Need a Player entry to be first
new_monster_race
{
	name = "Player"
	race = '@'
	sval = 0
	color = color.WHITE
	speed = 0 life = { 1, 1 } ac = 0
	aaf = 0 sleep = 0
	level = 0 exp = 0
	rarity = 0
	weight = 100
	body = { INVEN=23 MAINHAND=1 BODY=1 LITE=1 }
	flags =
	{
		UNIQUE=true
		DROP_CORPSE=true DROP_SKELETON=true
		OPEN_DOOR=true
		BASH_DOOR=true
		NEVER_GENE=true
	}
}

new_monster_race
{
	race = 'w'
	sval = 1
	name = "Wolf"
	level = 0 rarity = 1
	desc = "The wolf is a common predator in cold climates. Wolves are used in battle by some druids and the small goblins of Jotunhiem."
	color = color.SLATE
	speed = 0 life = {8,1} ac = 2
	aaf = 20 sleep = 0
	exp = 0
	weight = 1
	blows =
	{
		{"HIT","HURT",{11,1}},
	}
	flags =
	{
		OPEN_DOOR=false
		AI = ai.ZOMBIE
		-- Stat values
		MONST_MOR	= 10
		MONST_MR	= 5
		MONST_ENCUM	= 2
		MONST_FAT	= 0
		MONST_ATT	= 11
		MONST_DEF	= 10
		MONST_PREC	= 5
	}
}
new_monster_race
{
	race = 'v'
	sval = 1
	name = "Vine Man"
	level = 0 rarity = 1
	desc = "Vine men are strange beings composed of vines, roots and moss. They resemple humans but are totally mindless. They live in deep forest thickets and do not venture far unless summoned by magic."
	color = color.GREEN
	speed = 0 life = {17,1} ac = 3
	aaf = 20 sleep = 0
	exp = 0
	weight = 1
	blows =
	{
		{"HIT","HURT",{9,1}},
		{"HIT","HURT",{9,1}}
	}
	flags =
	{
		OPEN_DOOR=false
		AI = ai.ZOMBIE
		-- Stat values
		MONST_MOR	= 50
		MONST_MR	= 5
		MONST_ENCUM	= 0
		MONST_FAT	= 0
		MONST_ATT	= 7
		MONST_DEF	= 5
		MONST_PREC	= 0
	}
}
new_monster_race
{
	race = 'o'
	sval = 1
	name = "Will o' the Wisp"
	level = 0 rarity = 1
	desc = "A will o' the wisp is a glowing sphere that resebles the light from a bright lantern. In combat, it's light increases in size and intensity, burning anyone nearby. It is very hard to hit the will o the wisp in combat due to it's speed and nebulous form."
	color = color.YELLOW
	speed = 0 life = {3,1} ac = 0
	aaf = 20 sleep = 0
	exp = 0
	weight = 1
	blows =
	{
		{"HIT","HURT",{10,1}},
	}
	flags =
	{
		OPEN_DOOR=false
		AI = ai.ZOMBIE
		-- Stat values
		MONST_MOR	= 50
		MONST_MR	= 12
		MONST_ENCUM	= 0
		MONST_FAT	= 0
		MONST_ATT	= 20
		MONST_DEF	= 20
		MONST_PREC	= 5
	}
}
new_monster_race
{
	race = 's'
	sval = 1
	name = "Soulless"
	level = 0 rarity = 1
	desc = "Recently deceased bodies unnaturally animated into a state of false life, the soulless are often dressed in the clothes they died in.  Soulless do not have any vital organs, but their bodies are in a state of decomposition, so they are easier to destroy than a wight or a lich.  Soulless are often called zombies.  They do not rout unless their master is killed.  The soulless are mindless and will quickly dissolve if left without leadership on the battlefield."
	color = color.SOULLESS_GREEN
	speed = 0 life = {15,1} ac = 0
	aaf = 20 sleep = 0
	exp = 0
	weight = 1
	blows =
	{
		{"HIT","HURT",{11,1}},
	}
	flags =
	{
		OPEN_DOOR=false
		AI = ai.ZOMBIE
		-- Stat values
		MONST_MOR	= 50
		MONST_MR	= 7
		MONST_ENCUM	= 0
		MONST_FAT	= 0
		MONST_ATT	= 5
		MONST_DEF	= 3
		MONST_PREC	= 4
		UNDEAD = true
	}
}
new_monster_race
{
	race = 'l'
	define_as = "RACE_LONGDEAD"
	sval = 1
	name = "Longdead"
	level = 0 rarity = 1
	desc = "Longdead."
	color = color.WHITE
	speed = 0 life = {5,1} ac = 8
	aaf = 20 sleep = 0
	exp = 0
	weight = 1
	blows =
	{
		{"HIT","HURT",{16,1}},
	}
	flags =
	{
		OPEN_DOOR=false
		AI = ai.ZOMBIE
		-- Stat values
		MONST_MOR	= 50
		MONST_MR	= 9
		MONST_ENCUM	= 0
		MONST_FAT	= 0
		MONST_ATT	= 11
		MONST_DEF	= 12
		MONST_PREC	= 9
		UNDEAD		= true
		LONGDEAD	= true
	}
}
new_monster_race
{
	race = 'N'
	define_as = "RACE_NECROMANCER"
	sval = 1
	name = "Necromancer"
	level = 0 rarity = 1
	desc = "A necromancer."
	color = color.VIOLET
	speed = 0 life = {10,1} ac = 0
	aaf = 20 sleep = 0
	exp = 0
	weight = 1
	blows =
	{
		{"HIT","HURT",{11,1}},
	}
	flags =
	{
		OPEN_DOOR=false
		AI = ai.RANDOM_CAST
		-- Stat values
		MONST_MOR	= 10
		MONST_MR	= 14
		MONST_ENCUM	= 3
		MONST_FAT	= 0
		MONST_ATT	= 8
		MONST_DEF	= 8
		MONST_PREC	= 10
--		MONST_MAGIC = D
	}
	spells =
	{
		frequency = 2
		["Animate Skeleton"] = { level=0 chance=90 }
	}
}
