-- Player races.  These are used in conjunction with sex and background
-- to define what are the units in Dominions.

-- Nil race
new_player_descriptor
{
	type = "race"
	define_as = "RACE_NORMAL"
	name = "Normal"
	desc =
	{
		"Race is irrelevant for some nations.",
	}
}

------------------
-- Kailasa races --
------------------
new_player_descriptor
{
	type = "race"
	define_as = "RACE_BANDAR"
	name = "Bandar"
	desc =
	{
		"The Bandar are large, black apes who tower over their fellow apes and monkeys.  The color of their caste is red, the color of blood and war.  The Bandar are the warrior caste and although few in number, command much influence.  Swords are considered the most noble of all weapons and are only given to individuals who have the right parents or have made themselves as skilled warriors.  To be given a sword is a sure way to advance in society and to get enemies.  With the sword comes the duty to protect the Divine Yakshas.",
	}
	life_rating = 18
	age = {20, 3}
	weight =
	{
		female = {310, 110}
		male = {330, 120}
	}
	height =
	{
		female = {165, 10}
		male = {165, 10}
	}

}
new_player_descriptor
{
	type = "race"
	define_as = "RACE_VANARA"
	name = "Vanara"
	desc =
	{
		"Vanara are the most common of the four castes of Bandar Log.  They are about as big as humans.  Many Vanaras live in tribal societies in the dense forests of the realm.  The warriors of the forest tribes are called Atavi.  They use bows and maces, but do not wear armor.  All Atavi are stealthy.",
	}
	life_rating = 10
	age = {15, 2}
	weight =
	{
		female = {130, 10}
		male = {160, 20}
	}
	height =
	{
		female = {65, 5}
		male = {70, 5}
	}

}
new_player_descriptor
{
	type = "race"
	define_as = "RACE_WHITE_ONE"
	name = "White_One"
	desc =
	{
		"White Ones are the highest of the castes.  They are white-furred Vanara who are gifted with superior mental capabilities.  They are aloof and rarely concern themselves with matters of politics, but when they do, even the Bandar listen to their advice.  When a White One dies, his soul may transmigrate.  Depending on the actions of the White One, he will reincarnate in a lower or higher form of existence.  Truly enlightened ones might become one with the Awakening God.",
	}
	skills =
	{
		["Astral"] 		= { mods.add(1000), 	mods.add(0) }
	}
	life_rating = 10
	age = {35, 5}
	weight =
	{
		female = {130, 10}
		male = {160, 20}
	}
	height =
	{
		female = {65, 5}
		male = {70, 5}
	}

}
new_player_descriptor
{
	type = "race"
	define_as = "RACE_MARKATA"
	name = "Markata"
	desc=
	{
		"Bandar Log is a very hierarchical society.  Markatas are the smallest of the monkey people and their intellect is barely above that of simple beasts.  Markatas are small, noisy and annoying, especially when met in large numbers.  If alone, they can be used as scouts, but when in greater numbers, they quickly become bored and start to make noise and play with each other.  They are generally despised by the larger monkeys and apes.  They are sometimes given small bows.  This pleases them to no end, but they are still not very useful soldiers.",
	}
	life_rating = 5
	age = {9, 2}
	weight =
	{
		female = {30, 3}
		male = {30, 5}
	}
	height =
	{
		female = {30, 3}
		male = {30, 5}
	}

}