-- Wilderness tiles definitions features definitions

-- Any area not implemented as a dungeon must be defined here

new_wilderness_terrain
{
	char = 'X'
	name = "The world's edge"
	long_name = "The world's edge"
	feat = FEAT_PERM_SOLID
	level = 98
	generator =
	{
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
		FEAT_PERM_SOLID,
	}
}
new_wilderness_terrain
{
	char = '1'
	name = "Battlefield"
	long_name = "A battle happened here recently"
	feat = FEAT_PERM_SOLID
	type = TERRAIN_DIRT
	level = 1
	entrance = 1
	generator =
	{
		FEAT_DIRT,
		FEAT_DIRT,
		FEAT_DIRT,
		FEAT_DIRT,
		FEAT_DIRT,
		FEAT_DIRT,
		FEAT_MUD,
		FEAT_MUD,
		FEAT_MUD,
		FEAT_MUD,
		FEAT_MUD,
		FEAT_MUD,
		FEAT_GRASS,
		FEAT_GRASS,
		FEAT_GRASS,
		FEAT_GRASS,
		FEAT_DEAD_TREE,
		FEAT_TREE,
	}
	flags =
	{
		-- Forces only monsters of a certain ego to be generated
		DUNGEON_FORCE_MONSTER_EGO = function(r_idx)
										return RACE_EGO_UNDEAD
									end
		-- Defines how to generate a level, what and where to 
		-- place things.
		LEVEL_GENERATE_POST = function()
			local iteration = 0
			local jy
			local jx
			local obj
			while iteration < 31 do
				obj = create_object(TV_CORPSE, SV_CORPSE_CORPSE)
				jy = rng(-5, 5) + 32
				jx = rng(-10, 10) + 97
				if cave(jy, jx).obj == SV_CORPSE_CORPSE then
					while cave(jy, jx).obj == SV_CORPSE_CORPSE do
						jy = rng(-5, 5) + 32
						jx = rng(-10, 10) + 97
					end
				end
				drop_near(obj, 0, jy, jx)
				if iteration == 0 then
					local obj = create_object(TV_ARMOR, SV_LEATHER_CUIRASS)
					drop_near(obj, -1, jy, jx)
				end
				if iteration == 1 then
					local obj = create_object(TV_WEAPON, SV_SHORT_SWORD)
					drop_near(obj, -1, jy, jx)
				end
				if iteration == 2 then
					local obj = create_object(TV_BOW, SV_SHORT_BOW)
					drop_near(obj, -1, jy, jx)
				end
				iteration = iteration + 1
			end
		end
	}
	-- Not sure what this is for, but it seems necessary
	rules =
	{
		[{100, "or"}] =
		{
			flags =
			{
				UNDEAD = true
			}
		}
	}
}