-- Dominions Flags.  These flags are used to fill Dominions specific needs.
-- Flags are used to hold values not provided for by the native engine;
-- for example, giving monsters stats.

-------------------
-- Monster Flags --
-------------------
-- These flags provide monsters with the same stats players use
new_flag("MONST_MOR")
new_flag("MONST_MR")
new_flag("MONST_ENCUM")
new_flag("MONST_FAT")
new_flag("MONST_ATT")
new_flag("MONST_DEF")
new_flag("MONST_PREC")
new_flag("MONST_LEAD")

-- These flags are used by conjuring spells to summon the right type
new_flag("LONGDEAD")

-- This flag provides monsters with the same magic players use
new_flag("MONST_MAGIC")

-- This flag indicates that a monster is undead
new_flag("UNDEAD")

----------------
-- Item flags --
----------------
-- These flags provide armor and weapons with stat modifiers
new_flag("ITEM_MOR")
new_flag("ITEM_MR")
new_flag("ITEM_ATT")
new_flag("ITEM_DEF")

-- This flag provides armor with an encumbrance value
new_flag("ENCUM")

-- This flag provides weapons with a length value
new_flag("ITEM_LEN")

-- This flag indicates that a weapon is a missile weapon
new_flag("MISSILE")

-- This flag stores the current ammo count
new_flag("AMMO_CURRENT")

-- This flag indicates the maximum ammo count of a missile weapon
new_flag("AMMO_MAX")

-- This flag indicates that an item inflicts AP damage
new_flag("AP")

-------------------
-- Display flags --
-------------------
-- This flag is used as part of the fatigue counter
-- to draw the fatigue value on the screen
new_flag("PR_FATIGUE")